<section class="app-page-main-home  grid-indent">

  <div class="dwfe-bali-txt" *ngIf="app.lang === lang.EN">
    <h2>Welcome!</h2>
    <p>Do|While|For|Each is a composite application.</p>
    <p><a class="dwfe-common-link" href="https://gitlab.com/Do-While-For-Each/backend" target="_blank">Backend</a> is written in Java using microservice architecture.</p>
    <p>As a frontend you can use anything that can communicate with the backend API.</p>
    <p>While there is only one <a class="dwfe-common-link" href="https://gitlab.com/Do-While-For-Each/frontend" target="_blank">frontend implementation</a> and it is made on Angular. You are now interacting with this implementation.</p>
  </div>

  <div class="dwfe-bali-txt" *ngIf="app.lang === lang.RU">
    <h2>Добро пожаловать!</h2>
    <p>Do|While|For|Each — это составное приложение.</p>
    <p><a class="dwfe-common-link" href="https://gitlab.com/Do-While-For-Each/backend" target="_blank">Backend</a> написан на Java с применением микросервисной архитектуры.</p>
    <p>В качестве frontend'а можно использовать все что угодно, способное общаться с API backend'a.</p>
    <p>Пока существует только одна <a class="dwfe-common-link" href="https://gitlab.com/Do-While-For-Each/frontend" target="_blank">реализация frontend'а</a> и выполнена она на Angular. Сейчас вы взаимодействуете с этой реализацией.</p>
  </div>

  <p>--</p>
  <p>src: <a class="dwfe-common-link" href="https://gitlab.com/Do-While-For-Each" target="_blank">gitlab.com/Do-While-For-Each</a></p>

</section>
